Skip to main content
POST
/
v1
/
customers
/
{id}
/
blacklist
Blacklist a customer
curl --request POST \
  --url https://api.useduro.com/v1/customers/{id}/blacklist \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>"
}
'
{
  "id": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "name": "<string>",
  "merchantRef": "<string>",
  "blacklisted": true,
  "blacklistReason": "<string>",
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

Path Parameters

id
string
required

Body

application/json
reason
string

Response

200 - application/json

OK

id
string
email
string | null
phone
string | null
name
string | null
merchantRef
string | null
blacklisted
boolean
blacklistReason
string | null
createdAt
string